Retrieves the skill with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
skill| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the skill |
string |
Required Max length: 255 |
| description |
Description of the skill |
string |
Max length: 4000 |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating skill |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating skill |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "0772f34b-bd90-46d4-a2c9-4a2da354d469",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "c1b4bcb8-60a6-4f9b-b330-b4cbd990fb26",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "175a20bf-1785-4469-b654-2a097ec53be9",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "7135c6ca-f9cd-41fa-aebb-63191fe6add6",
"db_currency_id": "820064ce-ce74-4173-a8d1-4a72ee3b69b0",
"db_language_id": "ef5cee62-3383-431e-bdac-fecfee35cace",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-27T02:35:54.7097646+00:00"
},
"modified_dateutc": "2026-10-27T02:35:54.7097646+00:00"
}